CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-0132

The XML parser in IBM Rational DOORS Next Generation 4.x before 4.0.7 iFix3 and 5.x before 5.0.2 and Rational Requirements Composer 2.x and 3.x before 3.0.1.6 iFix5 and 4.x before 4.0.7 iFix3 does not properly detect recursion during entity expansion, which allows remote attackers to cause a denial of service (memory consumption) via a crafted XML document containing a large number of nested entity references, a similar issue to CVE-2003-1564.
Publish Date : 2015-03-18 Last Update Date : 2015-03-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Products Affected By CVE-2015-0132

# Product Type Vendor Product Version Update Edition Language
1 Application IBM Rational Doors Next Generation 4.0.0 Version Details Vulnerabilities
2 Application IBM Rational Doors Next Generation 4.0.1 Version Details Vulnerabilities
3 Application IBM Rational Doors Next Generation 4.0.2 Version Details Vulnerabilities
4 Application IBM Rational Doors Next Generation 4.0.3 Version Details Vulnerabilities
5 Application IBM Rational Doors Next Generation 4.0.4 Version Details Vulnerabilities
6 Application IBM Rational Doors Next Generation 4.0.5 Version Details Vulnerabilities
7 Application IBM Rational Doors Next Generation 4.0.6 Version Details Vulnerabilities
8 Application IBM Rational Doors Next Generation 4.0.7 Version Details Vulnerabilities
9 Application IBM Rational Doors Next Generation 5.0 Version Details Vulnerabilities
10 Application IBM Rational Doors Next Generation 5.0.1 Version Details Vulnerabilities
11 Application IBM Rational Requirements Composer 2.0 Version Details Vulnerabilities
12 Application IBM Rational Requirements Composer 2.0.0.1 Version Details Vulnerabilities
13 Application IBM Rational Requirements Composer 2.0.0.2 Version Details Vulnerabilities
14 Application IBM Rational Requirements Composer 2.0.0.3 Version Details Vulnerabilities
15 Application IBM Rational Requirements Composer 2.0.0.4 Version Details Vulnerabilities
16 Application IBM Rational Requirements Composer 3.0 Version Details Vulnerabilities
17 Application IBM Rational Requirements Composer 3.0.1 Version Details Vulnerabilities
18 Application IBM Rational Requirements Composer 3.0.1.1 Version Details Vulnerabilities
19 Application IBM Rational Requirements Composer 3.0.1.2 Version Details Vulnerabilities
20 Application IBM Rational Requirements Composer 3.0.1.3 Version Details Vulnerabilities
21 Application IBM Rational Requirements Composer 3.0.1.4 Version Details Vulnerabilities
22 Application IBM Rational Requirements Composer 3.0.1.5 Version Details Vulnerabilities
23 Application IBM Rational Requirements Composer 3.0.1.6 Version Details Vulnerabilities
24 Application IBM Rational Requirements Composer 4.0 Version Details Vulnerabilities
25 Application IBM Rational Requirements Composer 4.0.0 Version Details Vulnerabilities
26 Application IBM Rational Requirements Composer 4.0.0.1 Version Details Vulnerabilities
27 Application IBM Rational Requirements Composer 4.0.0.2 Version Details Vulnerabilities
28 Application IBM Rational Requirements Composer 4.0.1 Version Details Vulnerabilities
29 Application IBM Rational Requirements Composer 4.0.2 Version Details Vulnerabilities
30 Application IBM Rational Requirements Composer 4.0.3 Version Details Vulnerabilities
31 Application IBM Rational Requirements Composer 4.0.4 Version Details Vulnerabilities
32 Application IBM Rational Requirements Composer 4.0.5 Version Details Vulnerabilities
33 Application IBM Rational Requirements Composer 4.0.6 Version Details Vulnerabilities
34 Application IBM Rational Requirements Composer 4.0.7 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
IBM Rational Doors Next Generation 10
IBM Rational Requirements Composer 24

- References For CVE-2015-0132

http://www-01.ibm.com/support/docview.wss?uid=swg21698248 CONFIRM

- Metasploit Modules Related To CVE-2015-0132

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.